# STEF Beispiele
Willkommen beim Repository für Beispielaufgaben zum [Subato Task Exchange Format (STEF)](https://gitlab.cs.hs-rm.de/sls/stef). Hier befinden sich Beispiele für Aufgaben zu unterschiedlichen Sprachen, die (hoffentlich) einfach auf die eigenen Anforderungen anzupassen sind. 

> **Hinweis**
> Dieses Repository ist mit dem Aufgaben-Pool `Beispiele` im Subato verknüpft. Die Aufgaben können somit in allen Kursen verwendet werden, um das System zu testen.   

## Übersicht
| Name | Sprache | Evaluator | Bemerkungen |
| ---- | ------------ | ----- | --------- |
| 212Date | Kotlin | X | `FILE` Abgabemodus |
| 213Funktionen | Kotlin | X | `FILE` Abgabemodus |
| 662Records | Java | X | `TEXT` Abgabemodus, default-Package |
| 663Record | Java | X | `FILE` Abgabemodus, Packages |
| 664BinTree | Scala | X | `FILE` Abgabemodus |
| 153FunktionenInC| C | |  `TEXT` Abgabemodus |
| 4725FakultaetCPP | C++ | |  `TEXT` Abgabemodus |
| 00001SimpleFunctionsHS | Haskell | | `TEXT` Abgabemodus |
| 665Funktionen | Python | X | `FILE` Abgabemodus |
| 667Baumstruktur | Python | X | `FILE` Abgabemodus |
| 668Funktionen | Go | X | `FILE` Abgabemodus |
| 669Interpreter | Java | X | `FILE` Abgabemodus, Packages |
| 671Javascript | JavaScript | X | `FILE` Abgabemodus |
| 672Javascript | JavaScript | X | `FILE` Abgabemodus |
| 844Fakult | Elm | X | `FILE` Abgabemodus |
| 917Untersuchen | keine |  | `TEXT` Abgabemodus, Markdown, Syntax-Highlighting, interne Medien |
| 918Untersuchen | keine |  | `TEXT` Abgabemodus, HTML, Syntax-Highlighting, interne Medien |



## Mitmachen
Wenn Sie zusätzliche Beispielaufgaben haben und diese hierrüber veröffentlichen wollen, forken Sie bitte das Repository und stellen einen Upstream Merge Request.

Wünschenswert wären Beispiele für:

| Name | Sprache | Evaluator | Bemerkungen |
| ---- | ------------ | ----- | --------- |
| ToDo | Java |   | Projektabgabe |

